Update a space

Path Parameters
  • spaceId
    Type: integer
    required

    ID of Space

Body·
required
application/json
  • accountingUnit
    Type: string

    Accounting unit (module setting field, shown only on space type contact or business process)

  • assigned_categories
    Type: array integer[]

    IDs of categories assigned to this space

  • assigned_teams
    Type: array integer[]

    IDs of teams assigned to this space

  • assigned_users
    Type: array integer[]

    IDs of users directly assigned to this space

  • businessCaseAddButtonOptions
    Type: array string[] enum

    Configures places where to display button Add business case (module setting field, shown only on space module business-process )

    values
    • offer
    • order
    • reservation
  • businessCaseMask
    Type: string

    Mask used for generating numbers of new Business Case records (module setting field, shown only on space module business-process )

  • businessContractAddButtonOptions
    Type: array string[] enum

    Configures places where to display button Add business contract (module setting field, shown only on space module business-process )

    values
    • offer
    • order
    • reservation
  • businessContractMask
    Type: string

    Mask used for generating numbers of new Business Contract records (module setting field, shown only on space module business-process )

  • businessOfferMask
    Type: string

    Mask used for generating numbers of new Business Offer records (module setting field, shown only on space module business-process )

  • businessOrderMask
    Type: string

    Mask used for generating numbers of new Business Order records (module setting field, shown only on space module business-process )

  • categories
    Type: object ·

    Matrix of connected category ids with their respective roles

  • chatRooms
    Type: array integer[]

    Connected chat-room ids

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for put/space/{spaceId}
curl https://test.boost.space/api/space/1 \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "createdUserId": 42,
  "name": "Sample name",
  "description": "string",
  "module": "string",
  "weight": 1,
  "status_system_id": 42,
  "status_id": 42,
  "color": "#1f6feb",
  "right": "project",
  "right_id": 42,
  "lft": 1,
  "rgt": 1,
  "trid": 42,
  "depth": 1,
  "parent_node_id": 42,
  "is_visible": true,
  "vectorSearchEnabled": true,
  "estimated_time": 1,
  "customModuleId": 42,
  "boostId": "string",
  "assigned_users": [
    1
  ],
  "assigned_categories": [
    1
  ],
  "assigned_teams": [
    1
  ],
  "users": {
    "owner": [
      1
    ],
    "manager": [
      1
    ],
    "member": [
      1
    ]
  },
  "teams": {
    "owner": [
      1
    ],
    "manager": [
      1
    ],
    "member": [
      1
    ]
  },
  "categories": {
    "owner": [
      1
    ],
    "manager": [
      1
    ],
    "member": [
      1
    ]
  },
  "status_system": {
    "id": 42,
    "color": "#1f6feb",
    "icon_prefix": "string",
    "icon": "string",
    "module": "string",
    "weight": 1,
    "name": "Sample name",
    "system_name": "Sample system_name",
    "activated": 1,
    "custom": true,
    "allow_move": "string",
    "boostId": "string"
  },
  "spacesAllowed": {
    "key": [
      1
    ]
  },
  "customFieldsValues": [
    {
      "id": 42,
      "created": "2026-01-15T09:30:00Z",
      "valueWysiwyg": "string",
      "valueInt": 1,
      "valueFloat": 1.5,
      "valueDatetime": "2026-01-15T09:30:00Z",
      "valueModule": "string",
      "value": "string",
      "fileId": 42,
      "customFieldInputId": 42,
      "module": "activities",
      "table": "string",
      "entityId": 42,
      "customFieldInputName": "Sample customFieldInputName",
      "selected": true,
      "ipAddress": "string",
      "translatable": true,
      "translations": {
        "en": {
          "field1": "translation1",
          "field2": "translation2"
        },
        "it": {
          "field1": "translation1",
          "field2": "translation2"
        },
        "cs": {
          "field1": "translation1",
          "field2": "translation2"
        }
      }
    }
  ],
  "files": [
    {
      "id": 42,
      "created": "2026-01-15T09:30:00Z",
      "createdUserId": 42,
      "updated": "2026-01-15T09:30:00Z",
      "updatedUserId": 42,
      "statusId": 42,
      "statusSystemId": 42,
      "path": "string",
      "fileName": "Sample fileName",
      "name": "Sample name",
      "type": "string",
      "customType": 1,
      "storage": 1,
      "filesize": "string",
      "boostId": "string",
      "customFieldsValues": [
        {
          "id": 42,
          "created": "2026-01-15T09:30:00Z",
          "valueWysiwyg": "string",
          "valueInt": 1,
          "valueFloat": 1.5,
          "valueDatetime": "2026-01-15T09:30:00Z",
          "valueModule": "string",
          "value": "string",
          "fileId": 42,
          "customFieldInputId": 42,
          "module": "activities",
          "table": "string",
          "entityId": 42,
          "customFieldInputName": "Sample customFieldInputName",
          "selected": true,
          "ipAddress": "string",
          "translatable": true,
          "translations": {
            "en": {
              "field1": "translation1",
              "field2": "translation2"
            },
            "it": {
              "field1": "translation1",
              "field2": "translation2"
            },
            "cs": {
              "field1": "translation1",
              "field2": "translation2"
            }
          }
        }
      ],
      "publicUrl": "https://acme.boost.space",
      "resize": [
        {
          "id": 42,
          "created": "2026-01-15T09:30:00Z",
          "path": "string"
        }
      ],
      "status": {
        "id": 42,
        "created": "2026-01-15T09:30:00Z",
        "created_user_id": 42,
        "name": "Sample name",
        "color": "#1f6feb",
        "icon": "string",
        "icon_prefix": "string",
        "weight": 1,
        "status_system_id": 42,
        "boostId": "string",
        "spaces": [
          1
        ],
        "statusSystem": {}
      },
      "statusSystem": {
        "id": 42,
        "color": "#1f6feb",
        "icon_prefix": "string",
        "icon": "string",
        "module": "string",
        "weight": 1,
        "name": "Sample name",
        "system_name": "Sample system_name",
        "activated": 1,
        "custom": true,
        "allow_move": "string",
        "boostId": "string"
      },
      "labels": [
        []
      ],
      "isFeaturedImage": true,
      "usage": [
        []
      ]
    }
  ],
  "chatRooms": [
    1
  ],
  "pages": [
    1
  ],
  "reservable": true,
  "prestashopSync": true,
  "reservationUnit": "string",
  "gistSync": true,
  "accountingUnit": "string",
  "controls": [
    {}
  ],
  "editAllowSeconds": 1,
  "isVirtual": true,
  "businessContractMask": "string",
  "businessCaseMask": "string",
  "businessOfferMask": "string",
  "businessOrderMask": "string",
  "invoiceMask": "string",
  "purchaseMask": "string",
  "notificationOnSpaceCreate": true,
  "businessCaseAddButtonOptions": [
    "offer"
  ],
  "businessContractAddButtonOptions": [
    "offer"
  ]
}'
{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "createdUserId": 42,
  "name": "Sample name",
  "description": "string",
  "module": "string",
  "weight": 1,
  "status_system_id": 42,
  "status_id": 42,
  "color": "#1f6feb",
  "right": "project",
  "right_id": 42,
  "lft": 1,
  "rgt": 1,
  "trid": 42,
  "depth": 1,
  "parent_node_id": 42,
  "is_visible": true,
  "vectorSearchEnabled": true,
  "estimated_time": 1,
  "customModuleId": 42,
  "boostId": "string",
  "assigned_users": [
    1
  ],
  "assigned_categories": [
    1
  ],
  "assigned_teams": [
    1
  ],
  "users": {
    "owner": [
      1
    ],
    "manager": [
      1
    ],
    "member": [
      1
    ]
  },
  "teams": {
    "owner": [
      1
    ],
    "manager": [
      1
    ],
    "member": [
      1
    ]
  },
  "categories": {
    "owner": [
      1
    ],
    "manager": [
      1
    ],
    "member": [
      1
    ]
  },
  "status_system": {
    "id": 42,
    "color": "#1f6feb",
    "icon_prefix": "string",
    "icon": "string",
    "module": "string",
    "weight": 1,
    "name": "Sample name",
    "system_name": "Sample system_name",
    "activated": 1,
    "custom": true,
    "allow_move": "string",
    "boostId": "string"
  },
  "spacesAllowed": {
    "key": [
      1
    ]
  },
  "customFieldsValues": [
    {
      "id": 42,
      "created": "2026-01-15T09:30:00Z",
      "valueWysiwyg": "string",
      "valueInt": 1,
      "valueFloat": 1.5,
      "valueDatetime": "2026-01-15T09:30:00Z",
      "valueModule": "string",
      "value": "string",
      "fileId": 42,
      "customFieldInputId": 42,
      "module": "activities",
      "table": "string",
      "entityId": 42,
      "customFieldInputName": "Sample customFieldInputName",
      "selected": true,
      "ipAddress": "string",
      "translatable": true,
      "translations": {
        "en": {
          "field1": "translation1",
          "field2": "translation2"
        },
        "it": {
          "field1": "translation1",
          "field2": "translation2"
        },
        "cs": {
          "field1": "translation1",
          "field2": "translation2"
        }
      }
    }
  ],
  "files": [
    {
      "id": 42,
      "created": "2026-01-15T09:30:00Z",
      "createdUserId": 42,
      "updated": "2026-01-15T09:30:00Z",
      "updatedUserId": 42,
      "statusId": 42,
      "statusSystemId": 42,
      "path": "string",
      "fileName": "Sample fileName",
      "name": "Sample name",
      "type": "string",
      "customType": 1,
      "storage": 1,
      "filesize": "string",
      "boostId": "string",
      "customFieldsValues": [
        {
          "id": 42,
          "created": "2026-01-15T09:30:00Z",
          "valueWysiwyg": "string",
          "valueInt": 1,
          "valueFloat": 1.5,
          "valueDatetime": "2026-01-15T09:30:00Z",
          "valueModule": "string",
          "value": "string",
          "fileId": 42,
          "customFieldInputId": 42,
          "module": "activities",
          "table": "string",
          "entityId": 42,
          "customFieldInputName": "Sample customFieldInputName",
          "selected": true,
          "ipAddress": "string",
          "translatable": true,
          "translations": {
            "en": {
              "field1": "translation1",
              "field2": "translation2"
            },
            "it": {
              "field1": "translation1",
              "field2": "translation2"
            },
            "cs": {
              "field1": "translation1",
              "field2": "translation2"
            }
          }
        }
      ],
      "publicUrl": "https://acme.boost.space",
      "resize": [
        {
          "id": 42,
          "created": "2026-01-15T09:30:00Z",
          "path": "string"
        }
      ],
      "status": {
        "id": 42,
        "created": "2026-01-15T09:30:00Z",
        "created_user_id": 42,
        "name": "Sample name",
        "color": "#1f6feb",
        "icon": "string",
        "icon_prefix": "string",
        "weight": 1,
        "status_system_id": 42,
        "boostId": "string",
        "spaces": [
          1
        ],
        "statusSystem": {}
      },
      "statusSystem": {
        "id": 42,
        "color": "#1f6feb",
        "icon_prefix": "string",
        "icon": "string",
        "module": "string",
        "weight": 1,
        "name": "Sample name",
        "system_name": "Sample system_name",
        "activated": 1,
        "custom": true,
        "allow_move": "string",
        "boostId": "string"
      },
      "labels": [
        []
      ],
      "isFeaturedImage": true,
      "usage": [
        []
      ]
    }
  ],
  "chatRooms": [
    1
  ],
  "pages": [
    1
  ],
  "reservable": true,
  "prestashopSync": true,
  "reservationUnit": "string",
  "gistSync": true,
  "accountingUnit": "string",
  "controls": [
    {}
  ],
  "editAllowSeconds": 1,
  "isVirtual": true,
  "businessContractMask": "string",
  "businessCaseMask": "string",
  "businessOfferMask": "string",
  "businessOrderMask": "string",
  "invoiceMask": "string",
  "purchaseMask": "string",
  "notificationOnSpaceCreate": true,
  "businessCaseAddButtonOptions": [
    "offer"
  ],
  "businessContractAddButtonOptions": [
    "offer"
  ]
}